Subject: bug#73276: guix pull --no-substitutes never finishes, gcc-mesboot1-4.6.4.drv

From: Rutherther <[email-masked]>
Date: Sun, 15 Sep 2024 15:45:04 +0000

Hello Zelphir,

> 
> I first ran guix pull, which led to an error:
> 
> --------
> ... (many lines of logs about downloading packages and so on) ...
> substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
> substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
> guix package: error: `/gnu/store/438g5cz2l225d0zyhvzj3db3mjrkx8gn-guix-command substitute' died unexpectedly
> --------
> 
> Since I didn't know what else to do, I thought I would give the --no-substitutes 
> a try. That does not run into an error, but simply seems to run forever:
>

Have you tried rerunning multiple times without this flag?
It could be just a single time error. Also you can try using just
one of the substitute servers. I have not encountered this error,
and unfortunately don't understand the cause.
But it's possible it's not linked directly to your specific config,
but rather to the network conditions or the conditions on the substitute
server.

> And at that build phase step of gcc-mesboot1 it is stuck forever.
> All the other steps finish rather quickly, but somehow that one
> ran for 2h and was still not finished. I cancelled it and ran the
> command again, after which the output looked like this:</p>

It's not stuck forever, it just builds. The gcc packages can take
a long time, also depending on your hardware. It can also be important
what your --cores settings is set to, since if you are trying to build
this just on one core, it will also add additional time for the build.
You seem to be bootstrapping a lot from there, so even after gcc
mesboot1 will build it can still take a lot of time to get to the
end.

Regards,
Rutherther